package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.BetterFinding;
import com.lantone.qc.pub.model.entity.Chief;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.entity.DoctorAdvice;
import com.lantone.qc.pub.model.entity.Notes;
import com.lantone.qc.pub.model.entity.Outcome;
import com.lantone.qc.pub.model.entity.OutcomeCure;
import com.lantone.qc.pub.model.entity.OutcomeToBetter;
import com.lantone.qc.pub.model.entity.PositiveFinding;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : LeaveHospital
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-18 15:51
 */
@Getter
@Setter
public class LeaveHospitalLabel {
    List<Chief> chiefs = new ArrayList<>();   //主诉
    List<Notes> noteses = new ArrayList<>();   //注意事项
    DoctorAdvice doctorAdvices;   //医嘱信息
    List<Diag> diags = new ArrayList<>();   //出院诊断
    List<BetterFinding> betterFindings = new ArrayList<>();   //好转表现
    List<OutcomeToBetter> outcomeToBetters = new ArrayList<>();   //转归情况-好转
    List<OutcomeCure> outcomeCures = new ArrayList<>();   //转归情况-治愈
    List<PositiveFinding> positiveFindings = new ArrayList<>();   //阳性表现
}